#!/bin/bash
DEFAULT_ENWC_MS_URL="http://localhost:8080"


if [ -z "$ENWC_MS_URL" ]
then
	echo "env variable E4NWC_MS_URL not set. use default ${DEFAULT_ENWC_MS_URL}"
    export ENWC_MS_URL=${DEFAULT_ENWC_MS_URL}
fi

echo "ENWC_MS_URL env var: ${ENWC_MS_URL}"

envsubst '$$PORT $$ENWC_MS_URL' < /etc/nginx/conf.d/default.conf.template > /etc/nginx/conf.d/default.conf
